Next: toascii, Previous: isupper, Up: Ctype

### 3.11 `isxdigit`—hexadecimal digit predicate

Synopsis

         #include <ctype.h>
         int isxdigit(int c);

Description
`isxdigit` is a macro which classifies ASCII integer values by table lookup. It is a predicate returning non-zero for hexadecimal digits, and `0` for other characters. It is defined only if c is representable as an unsigned char or if c is EOF.

You can use a compiled subroutine instead of the macro definition by undefining the macro using ``#undef isxdigit`'.

Returns
`isxdigit` returns non-zero if c is a hexadecimal digit (`0`–`9`, `a`–`f`, or `A`–`F`).

Portability
`isxdigit` is ANSI C.

No supporting OS subroutines are required.